diff a/src/hotspot/share/ci/ciArray.cpp b/src/hotspot/share/ci/ciArray.cpp
--- a/src/hotspot/share/ci/ciArray.cpp
+++ b/src/hotspot/share/ci/ciArray.cpp
@@ -117,10 +117,15 @@
     return ciConstant();
   }
   return element_value((jint) index);
 }
 
+bool ciArray::is_null_free() {
+  VM_ENTRY_MARK;
+  return get_oop()->is_null_free_array();
+}
+
 // ------------------------------------------------------------------
 // ciArray::print_impl
 //
 // Implementation of the print method.
 void ciArray::print_impl(outputStream* st) {
